/*
 * Copyright (c) eHealth
 */
package be.ehealth.businessconnector.ehboxV2.service;

import java.io.InputStream;

import javax.xml.XMLConstants;
import javax.xml.transform.Source;
import javax.xml.transform.stream.StreamSource;
import javax.xml.validation.SchemaFactory;

import org.apache.commons.lang.ArrayUtils;
import org.junit.Assert;
import org.junit.Test;


/**
 * This testclass the ServiceFactory
 * 
 * @author EHP
 * 
 */
public class ServiceFactoryTest {

    /**
     * Test if all the xsd needed by the ServiceFactory are present on the classpath.
     * 
     * @throws Exception
     */
    @Test
    public void testXSDPresentConsultation() throws Exception {
        Source[] sources = new Source[]{};
        for (String xsd : ServiceFactory.EHBOXV2_CONS_XSD) {
            InputStream in = ServiceFactoryTest.class.getResourceAsStream(xsd);
            Assert.assertNotNull("Could not find file:" + xsd, in);
            Source source = new StreamSource(in);
            sources = (Source[]) ArrayUtils.add(sources, source);
        }
        SchemaFactory schemaFactory = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI);
        schemaFactory.newSchema(sources);

    }

    /**
     * Test if all the xsd needed by the ServiceFactory are present on the classpath.
     * 
     * @throws Exception
     */
    @Test
    public void testXSDPresentPublication() throws Exception {
        Source[] sources = new Source[]{};
        for (String xsd : ServiceFactory.EHBOXV2_PUB_XSD) {
            InputStream in = ServiceFactoryTest.class.getResourceAsStream(xsd);
            Assert.assertNotNull("Could not find file:" + xsd, in);
            Source source = new StreamSource(in);
            sources = (Source[]) ArrayUtils.add(sources, source);
        }
        SchemaFactory schemaFactory = SchemaFactory.newInstance(XMLConstants.W3C_XML_SCHEMA_NS_URI);
        schemaFactory.newSchema(sources);


    }

}
